# Test against these versions of Node.js.
environment:
  matrix:
    - nodejs_version: "0.10"
    - nodejs_version: "0.12"
    - nodejs_version: "4"

# Install scripts. (runs after repo cloning)
install:
  # Get the latest stable version of Node 0.STABLE.latest
  - ps: Install-Product node $env:nodejs_version
  # Use npm v2
  - npm -g install npm@2
  - set PATH=%APPDATA%\npm;%PATH%
  - npm -v
  # Typical npm stuff.
  - npm install
  # Grunt-specific stuff.
  - npm install -g grunt-cli

# Post-install test scripts.
test_script:
  # Output useful info for debugging.
  - node --version && npm --version
  # Run test
  - grunt test

# Don't actually build.
build: off

# Set build version format here instead of in the admin panel.
version: "{build}"
